List recorded payment confirmations
LogsGET /payments
Does not initiate or process payment instruments.
Parameters
limitMaximum resources to return (default 20, maximum 100).
afterOpaque cursor returned by the previous page.
Returns
200 Recorded payments in the authenticated utility tenant
Show attributes
dataShow child attributes
idtenant_idcustomer_idcustomer_nameDisplay name of the referenced customer. Omitted when unknown.
account_idaccount_numberNumber of the referenced account, e.g. CTA-000044. Omitted when unknown.
account_holder_nameDisplay name of the customer who holds the referenced account. Omitted when unknown.
invoice_idamount_centscurrencyreceipt_numberstatuspaid_at
has_morenext_cursor
Permissions payments:read · Roles: admin, analyst, billing_clerk, customer_service, finance, owner, viewer
curl -X GET "$BUSINESS_API/payments" \
-H "Authorization: Bearer sk_test_..."
# No matching CLI command; use cURL or direct HTTP.
const res = await fetch("$BUSINESS_API/payments", {
method: "GET",
headers: {
Authorization: "Bearer sk_test_..."
}
});
const data = await res.json();
import requests
res = requests.get(
"$BUSINESS_API/payments",
headers={
"Authorization": "Bearer sk_test_..."
}
)
data = res.json()
req, _ := http.NewRequest("GET", "$BUSINESS_API/payments", nil)
req.Header.Set("Authorization", "Bearer sk_test_...")
resp, err := http.DefaultClient.Do(req)
{
"data": [
{
"id": "rec_2J5AsFHUK5FY47ROaZ5MatNYqrz",
"tenant_id": "ten_2ugFXIC316WXzGu1HGal90AxTA6",
"customer_id": "cus_2UuXtOGTHWKlvkoF5so5Joi3Hck",
"customer_name": "Ana Matsinhe",
"account_id": "act_2JFioNDgIfvkgflk8RtcqhBaARP",
"account_number": "ACC-2026-000142",
"account_holder_name": "Ana Matsinhe",
"invoice_id": "inv_2jnourvAGxXMMd5IyFbwc1LqUX1",
"amount_cents": 125000,
"currency": "MZN",
"receipt_number": "REC-2026-000142",
"status": "active",
"paid_at": "2026-11-19T09:30:00Z"
}
],
"has_more": true,
"next_cursor": "next cursor"
}